Package ghidra.trace.model.program

# Interface TraceProgramView

All Superinterfaces:
  `DataTypeManagerDomainObject`, `DataTypeManagerOwner`, `DomainObject`, `Program`, `ProgramArchitecture`

All Known Subinterfaces:
  `TraceVariableSnapProgramView`

All Known Implementing Classes:
  `DBTraceProgramView`, `DBTraceVariableSnapProgramView`

public interface TraceProgramView extends Program
View of a trace at a particular time, as a program

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.model.DomainObject

  `DO_DOMAIN_FILE_CHANGED, DO_OBJECT_CLOSED, DO_OBJECT_ERROR, DO_OBJECT_RENAMED, DO_OBJECT_RESTORED, DO_OBJECT_SAVED, DO_PROPERTY_CHANGED, undoLock`

  ### Fields inherited from interface ghidra.program.model.listing.Program

  `ANALYSIS_PROPERTIES, ANALYSIS_START_DATE, ANALYSIS_START_DATE_FORMAT, ANALYZED_OPTION_NAME, ASK_TO_ANALYZE_OPTION_NAME, CREATED_WITH_GHIDRA_VERSION, DATE_CREATED, DISASSEMBLER_PROPERTIES, JANUARY_1_1970, MAX_OPERANDS, PREFERRED_ROOT_NAMESPACE_CATEGORY_PROPERTY, PROGRAM_INFO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getMaxSnap()`
  Get the trace's latest snap
  `TraceProgramViewMemory`
  `getMemory()`
  Get the memory object.
  `long`
  `getSnap()`
  Get the current snap
  `Trace`
  `getTrace()`
  Get the trace this view presents
  `TraceTimeViewport`
  `getViewport()`
  Get the viewport this view is using for forked queries

  ### Methods inherited from interface ghidra.framework.model.DomainObject

  `addCloseListener, addConsumer, addDomainFileListener, addListener, addSynchronizedDomainObject, addTransactionListener, canLock, canRedo, canSave, canUndo, clearUndo, createPrivateEventQueue, endTransaction, flushEvents, flushPrivateEventQueue, forceLock, getAllRedoNames, getAllUndoNames, getConsumerList, getCurrentTransactionInfo, getDescription, getDomainFile, getMetadata, getModificationNumber, getName, getOptions, getOptionsNames, getRedoName, getSynchronizedDomainObjects, getUndoName, hasExclusiveAccess, hasTerminatedTransaction, isChangeable, isChanged, isClosed, isLocked, isSendingEvents, isTemporary, isUsedBy, lock, openTransaction, redo, release, releaseSynchronizedDomainObject, removeCloseListener, removeDomainFileListener, removeListener, removePrivateEventQueue, removeTransactionListener, save, saveToPackedFile, setEventsEnabled, setName, setTemporary, startTransaction, startTransaction, undo, unlock, withTransaction, withTransaction`

  ### Methods inherited from interface ghidra.program.model.listing.Program

  `createAddressSetPropertyMap, createIntRangeMap, createOverlaySpace, deleteAddressSetPropertyMap, deleteIntRangeMap, getAddressFactory, getAddressMap, getAddressSetPropertyMap, getBookmarkManager, getChanges, getCompiler, getCompilerSpec, getCreationDate, getDataTypeManager, getDefaultPointerSize, getEquateTable, getExecutableFormat, getExecutableMD5, getExecutablePath, getExecutableSHA256, getExternalManager, getFunctionManager, getGlobalNamespace, getImageBase, getIntRangeMap, getLanguage, getLanguageID, getListing, getMaxAddress, getMinAddress, getPreferredRootNamespaceCategoryPath, getProgramContext, getProgramUserData, getReferenceManager, getRegister, getRegister, getRegister, getRegister, getRegisters, getRelocationTable, getSourceFileManager, getSymbolTable, getUniqueProgramID, getUsrPropertyManager, parseAddress, parseAddress, removeOverlaySpace, renameOverlaySpace, restoreImageBase, setCompiler, setExecutableFormat, setExecutableMD5, setExecutablePath, setExecutableSHA256, setImageBase, setLanguage, setPreferredRootNamespaceCategoryPath`

  ### Methods inherited from interface ghidra.program.model.lang.ProgramArchitecture

  `getLanguageCompilerSpecPair`

- ## Method Details

  - ### getMemory

    TraceProgramViewMemory getMemory()
    Description copied from interface: `Program`
    Get the memory object.
    Specified by:
      `getMemory` in interface `Program`
    Returns:
      the memory object.

  - ### getTrace

    Trace getTrace()
    Get the trace this view presents
    Returns:
      the trace

  - ### getSnap

    long getSnap()
    Get the current snap
    Returns:
      the snap

  - ### getViewport

    TraceTimeViewport getViewport()
    Get the viewport this view is using for forked queries
    Returns:
      the viewport

  - ### getMaxSnap

    Long getMaxSnap()
    Get the trace's latest snap
    Returns:
      the maximum snap